11 Replies Latest reply on Apr 6, 2008 5:44 AM by Darryl Miles

    JBoss Tools AS 1.0.0.GA update for JBoss 5 AS ?

    Darryl Miles Novice

      Will there be an update soon to "JBossTools-AS" to include a JBoss 5 deployment adapter from the JBoss Server View ?

        • 1. Re: JBoss Tools AS 1.0.0.GA update for JBoss 5 AS ?
          Max Rydahl Andersen Master

          the nightly builds should have it now.

          • 2. Re: JBoss Tools AS 1.0.0.GA update for JBoss 5 AS ?
            Darryl Miles Novice

            Where are they available from ? I just installed JBossAS-Tools-200803280018-nightly.zip over the top of the last GA release but there is no option to add a JBoss 5 server (except for the one provided by WTP jst.server).

            I downloaded from http://download.jboss.org/jbosstools/builds/nightly/200803280018-nightly/index.html

            • 3. Re: JBoss Tools AS 1.0.0.GA update for JBoss 5 AS ?
              Darryl Miles Novice

              It was necessary to:

              rm -rf ./features/org.jboss.ide.eclipse.as.feature_1.0.0.GA \
              ./plugins/org.jboss.ide.eclipse.as.classpath.ui_1.0.0.GA.jar \
              ./plugins/org.jboss.ide.eclipse.as.ui_1.0.0.GA \
              ./plugins/org.jboss.ide.eclipse.as.ui.mbeans_1.0.0.GA.jar \
              ./plugins/org.jboss.ide.eclipse.as.classpath.core_1.0.0.GA.jar \
              ./plugins/org.jboss.ide.eclipse.as.core_1.0.0.GA




              Arrrrrggggggghhhhhhhhhh!!!!!!!!!!!!!!!!!!!!!

              Not again another case of Eclipse plugins getting the concepts of versioning wrong, by putting "GA" in the version="1.0.0.GA" string.

              Technically the nightly build is a later version than the GA build, it could have been far more correct to use "1.0.0.YYYYMMDDHHMM-GA"

              One thing the Eclipse versioning system does not do is make a distinction between alpha, beta, gamma, release, etc... domains. Then is might be possible to switch off all non-release quality plugins and/or understand that multiple online update sites maybe available.


              I now also get an error:

              An internal error occurred during: "Initializing Java Tooling".
              org/jboss/ide/eclipse/as/core/server/IJBossServerRuntime


              On startup, but I can clearly see it inside:

              # jar -tvf ./plugins/org.jboss.ide.eclipse.as.core_1.0.0.200803280018-nightly/jbossascore.jar | grep JBoss
               568 Fri Mar 28 00:44:48 GMT 2008 org/jboss/ide/eclipse/as/core/server/IJBossServerConstants.class
               657 Fri Mar 28 00:44:48 GMT 2008 org/jboss/ide/eclipse/as/core/server/IJBossServerPublisher.class
               729 Fri Mar 28 00:44:48 GMT 2008 org/jboss/ide/eclipse/as/core/server/IJBossServerRuntime.class



              But the JBoss 5 adaptor is now listed but I am now able to advance past the selection of the JBoss 5 driver screen, the next button does nothing, the installed runtimes does not light up, I am not able go to workspace properties and create a new runtime of any version (i.e. neither 4.2 or 5 work).

              • 4. Re: JBoss Tools AS 1.0.0.GA update for JBoss 5 AS ?
                Darryl Miles Novice

                 

                "dlmiles" wrote:
                But the JBoss 5 adaptor is now listed but I am now able to advance past


                But the JBoss 5 adaptor is now listed but I am NOT able to advance past.

                • 5. Re: JBoss Tools AS 1.0.0.GA update for JBoss 5 AS ?
                  Max Rydahl Andersen Master

                  Dlmiles you are more than welcome to point me to how I could fix the versioning issue....without messing up plugin and feature manifest/descriptors ;)

                  GA in the version string is how we have always done it.

                  btw. your other error is probably caused by other weird mixing of nightly builds ...I recommend you use a clean eclipse install and use link files to make sure you only point to a consistent set of plugins.

                  If the problem still persist then ping us again.

                  • 6. Re: JBoss Tools AS 1.0.0.GA update for JBoss 5 AS ?
                    Darryl Miles Novice

                     

                    "max.andersen@jboss.com" wrote:
                    Dlmiles you are more than welcome to point me to how I could fix the versioning issue....without messing up plugin and feature manifest/descriptors ;)

                    GA in the version string is how we have always done it.

                    btw. your other error is probably caused by other weird mixing of nightly builds ...I recommend you use a clean eclipse install and use link files to make sure you only point to a consistent set of plugins.

                    If the problem still persist then ping us again.


                    I remember now there was a problem with Hibernate's Eclipse plugin at one point in the past.

                    Well first you have to choose if a user can be expected to do what I tried. That is use the entire GA suite but also install the nightly for just the AS. You may consider this to be unsupported and incorrect use, as each release stream might be considered a different domain to each other (nightly, beta, GA).

                    I didn't want to install the entire nightly suite as I didn't want to introduce known bugs.

                    If you decide that it should be possible to do what I tried (all be it, the user really is on their own, just like they are on their own when they install any or all nightly builds anyway). There is no major problem with the descriptors this time as many of the version constraint simply are not used and those that are seem to be setting the lower bound only. You'll hear no gripes from this direction on that policy it sounds good to me.

                    The issue is simply with the release naming strategy of the GA builds. The letter "G" comes after the number "2". The version comparison is pretty well set in stone for how the eclipse platform works. So if you want it to work then my best/easiest offer is to start using "1.0.0.YYYYMMDDHHMM-GA" format for GA releases, and "1.0.0.YYYYMMDDHHMM-Beta99" for Beta releases, etc.. you can do what the hell you like after the date part.

                    Bear in mind that you will need to go to version "1.0.1.YYYYMMDDHHMM-GA" for the next GA (i.e. at least a patch level bump) from that point on you should find nightly components will at least mix/run with GA components.


                    I agree with the issue on the other error being due to not using the rest of the nightly build, I did not download and take apart the nightly build to see why it did not gel. Also why does Content Assist require access to IJBossRuntime (when I've not runtimes setup) and also why does Type Hierachy fail to work at all when IJBossRuntime class is apparently missing! So what!

                    < rant > Gee it would be really good when you booted eclipse and it detected a change in plugins if it diagnosed problems an tell you which things were new and which things have become disconnected/disabled < / rant >


                    I look forward to the next GA release so that JBoss 5 can be used. I'm sure when the AS is finally released that rolling a new release of JBossTool-AS will get done.


                    • 7. Re: JBoss Tools AS 1.0.0.GA update for JBoss 5 AS ?
                      Max Rydahl Andersen Master

                       

                      "dlmiles" wrote:
                      "max.andersen@jboss.com" wrote:

                      If the problem still persist then ping us again.


                      I remember now there was a problem with Hibernate's Eclipse plugin at one point in the past.


                      That was a mixup with upper/lower casing of the modifier...annoying yes.


                      Well first you have to choose if a user can be expected to do what I tried. That is use the entire GA suite but also install the nightly for just the AS. You may consider this to be unsupported and incorrect use, as each release stream might be considered a different domain to each other (nightly, beta, GA).


                      Well installing partial parts will definitly rarely work and is definitly not supported.


                      If you decide that it should be possible to do what I tried (all be it, the user really is on their own, just like they are on their own when they install any or all nightly builds anyway). There is no major problem with the descriptors this time as many of the version constraint simply are not used and those that are seem to be setting the lower bound only. You'll hear no gripes from this direction on that policy it sounds good to me.

                      The issue is simply with the release naming strategy of the GA builds. The letter "G" comes after the number "2". The version comparison is pretty well set in stone for how the eclipse platform works. So if you want it to work then my best/easiest offer is to start using "1.0.0.YYYYMMDDHHMM-GA" format for GA releases, and "1.0.0.YYYYMMDDHHMM-Beta99" for Beta releases, etc.. you can do what the hell you like after the date part.

                      Bear in mind that you will need to go to version "1.0.1.YYYYMMDDHHMM-GA" for the next GA (i.e. at least a patch level bump) from that point on you should find nightly components will at least mix/run with GA components.


                      yeah I kinda always wanted to add in a timestamp for other reasons too.


                      I agree with the issue on the other error being due to not using the rest of the nightly build, I did not download and take apart the nightly build to see why it did not gel. Also why does Content Assist require access to IJBossRuntime (when I've not runtimes setup) and also why does Type Hierachy fail to work at all when IJBossRuntime class is apparently missing! So what!


                      You need to explain that to me a bit better ;)

                      What kind of content assist is failing ?


                      < rant > Gee it would be really good when you booted eclipse and it detected a change in plugins if it diagnosed problems an tell you which things were new and which things have become disconnected/disabled < / rant >


                      start eclipse with -debug and you get the disconnected/disabled info in the Error Log view.


                      • 8. Re: JBoss Tools AS 1.0.0.GA update for JBoss 5 AS ?
                        Darryl Miles Novice

                         

                        "max.andersen@jboss.com" wrote:
                        I agree with the issue on the other error being due to not using the rest of the nightly build, I did not download and take apart the nightly build to see why it did not gel. Also why does Content Assist require access to IJBossRuntime (when I've not runtimes setup) and also why does Type Hierachy fail to work at all when IJBossRuntime class is apparently missing! So what!

                        You need to explain that to me a bit better ;)

                        What kind of content assist is failing ?


                        All kinds, in all contexts I tried, on all artifacts I tried. Simply unzip JBossTools-AS-*-nightly over your GA installation and bootup and try to do some Java work.

                        I really would not be so concerned about it, I'm pretty sure the issue is not with JBoss Tools but the way in which Eclipse hunts/looks/finds things.

                        < rant > Gee it would be really good when you booted eclipse and it detected a change in plugins if it diagnosed problems an tell you which things were new and which things have become disconnected/disabled < / rant >


                        start eclipse with -debug and you get the disconnected/disabled info in the Error Log view.


                        G-r-e-a-t A-d-v-i-c-e T-h-a-n-k Y-o-u!

                        < sarcasm >Hey with that content assist problem (if you really wanna knock yourself out on that bug), try attaching GDB to the process and looking a look at the disassemble view.< /sarcasm >

                        G-rr-eee-aaaa-ttttt-!


                        • 9. Re: JBoss Tools AS 1.0.0.GA update for JBoss 5 AS ?
                          Max Rydahl Andersen Master

                           

                          "dlmiles" wrote:
                          "max.andersen@jboss.com" wrote:
                          I agree with the issue on the other error being due to not using the rest of the nightly build, I did not download and take apart the nightly build to see why it did not gel. Also why does Content Assist require access to IJBossRuntime (when I've not runtimes setup) and also why does Type Hierachy fail to work at all when IJBossRuntime class is apparently missing! So what!

                          You need to explain that to me a bit better ;)

                          What kind of content assist is failing ?


                          All kinds, in all contexts I tried, on all artifacts I tried. Simply unzip JBossTools-AS-*-nightly over your GA installation and bootup and try to do some Java work.


                          Care to show the error/stacktrace ? I can't reproduce it.


                          I really would not be so concerned about it, I'm pretty sure the issue is not with JBoss Tools but the way in which Eclipse hunts/looks/finds things.


                          well, I would like to blame eclipse for everything bad but it just sounds too weird so i would at least like to see the trace/error.



                          • 10. Re: JBoss Tools AS 1.0.0.GA update for JBoss 5 AS ?
                            Darryl Miles Novice

                            I wrote you out a nice reply to this, first time around and this darn bulletin board and its 30 second times out with a redirect back to the jboss homepage ****ed it up. Here is my 2nd attempt at reply.


                            !ENTRY org.eclipse.osgi 4 0 2008-04-06 10:26:47.479
                            !MESSAGE An error occurred while automatically activating bundle org.jboss.ide.eclipse.as.core (1086).
                            !STACK 0
                            org.osgi.framework.BundleException: Exception in org.jboss.ide.eclipse.as.core.JBossServerCorePlugin.start() of bundle org.jboss.ide.eclipse.as.core.
                             at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:1018)
                             at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:974)
                             at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:346)
                             at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:260)
                             at org.eclipse.osgi.framework.util.SecureAction.start(SecureAction.java:400)
                            ....SNIP....
                             at org.eclipse.osgi.framework.internal.core.BundleContextImpl.dispatchEvent(BundleContextImpl.java:1210)
                             at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:195)
                             at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:297)
                            Caused by: java.lang.NoClassDefFoundError: org/jboss/ide/eclipse/archives/core/model/IArchiveBuildListener
                             at java.lang.ClassLoader.defineClass1(Native Method)
                             at java.lang.ClassLoader.defineClass(ClassLoader.java:620)
                             at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.defineClass(DefaultClassLoader.java:161)
                            .....SNIP....
                             at org.jboss.ide.eclipse.as.core.JBossServerCorePlugin.start(JBossServerCorePlugin.java:76)
                             at org.eclipse.osgi.framework.internal.core.BundleContextImpl$2.run(BundleContextImpl.java:999)
                             at java.security.AccessController.doPrivileged(Native Method)
                             at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:993)
                             ... 52 more
                            Caused by: java.lang.ClassNotFoundException: org.jboss.ide.eclipse.archives.core.model.IArchiveBuildListener
                             at org.eclipse.osgi.framework.internal.core.BundleLoader.findClassInternal(BundleLoader.java:434)
                             at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:369)
                             at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:357)
                             at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:83)
                             at java.lang.ClassLoader.loadClass(ClassLoader.java:251)
                             at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:319)
                             ... 71 more
                            Root exception:
                            java.lang.NoClassDefFoundError: org/jboss/ide/eclipse/archives/core/model/IArchiveBuildListener
                             at java.lang.ClassLoader.defineClass1(Native Method)
                             at java.lang.ClassLoader.defineClass(ClassLoader.java:620)
                             at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.defineClass(DefaultClassLoader.java:161)
                            ....SNIP....
                             at org.eclipse.osgi.framework.internal.core.BundleContextImpl.dispatchEvent(BundleContextImpl.java:1210)
                             at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:195)
                             at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:297)
                            Caused by: java.lang.ClassNotFoundException: org.jboss.ide.eclipse.archives.core.model.IArchiveBuildListener
                             at org.eclipse.osgi.framework.internal.core.BundleLoader.findClassInternal(BundleLoader.java:434)
                             at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:369)
                             at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:357)
                             at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:83)
                             at java.lang.ClassLoader.loadClass(ClassLoader.java:251)
                             at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:319)
                             ... 71 more
                            
                            !ENTRY org.eclipse.osgi 4 0 2008-04-06 10:26:47.584
                            !MESSAGE An unexpected runtime error has occurred.
                            !STACK 0
                            java.lang.NoClassDefFoundError: org/jboss/ide/eclipse/as/core/server/IJBossServerRuntime
                             at org.jboss.ide.eclipse.as.classpath.core.runtime.ClientAllRuntimeClasspathProvider.resolveClasspathContainer(ClientAllRuntimeClasspathProvider.java:57)
                             at org.jboss.ide.eclipse.as.classpath.core.runtime.ProjectRuntimeClasspathProvider$RuntimeClasspathContainer.getClasspathEntries(ProjectRuntimeClasspathProvider.java:123)
                             at org.eclipse.jdt.internal.core.JavaModelManager.containerPutIfInitializingWithSameEntries(JavaModelManager.java:547)
                             at org.eclipse.jdt.internal.core.SetContainerOperation.executeOperation(SetContainerOperation.java:49)
                            ....SNIP....
                             at org.eclipse.osgi.framework.internal.core.BundleContextImpl.dispatchEvent(BundleContextImpl.java:1210)
                             at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:195)
                             at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:297)
                            Caused by: org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter$TerminatingClassNotFoundException: An error occurred while automatically activating bundle org.jboss.ide.eclipse.as.core (
                            1086).
                             at org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.postFindLocalClass(EclipseLazyStarter.java:125)
                             at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:417)
                             at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:189)
                             at org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(BundleLoader.java:340)
                            ....SNIP....
                             at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:357)
                             at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:83)
                             at java.lang.ClassLoader.loadClass(ClassLoader.java:251)
                             at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:319)
                             ... 37 more
                            Caused by: org.osgi.framework.BundleException: Exception in org.jboss.ide.eclipse.as.core.JBossServerCorePlugin.start() of bundle org.jboss.ide.eclipse.as.core.
                             at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:1018)
                             at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:974)
                             at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:346)
                             at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:260)
                             at org.eclipse.osgi.framework.util.SecureAction.start(SecureAction.java:400)
                             at org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.postFindLocalClass(EclipseLazyStarter.java:111)
                             ... 47 more
                            Caused by: java.lang.NoClassDefFoundError: org/jboss/ide/eclipse/archives/core/model/IArchiveBuildListener
                             at java.lang.ClassLoader.defineClass1(Native Method)
                             at java.lang.ClassLoader.defineClass(ClassLoader.java:620)
                             at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.defineClass(DefaultClassLoader.java:161)
                             at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.defineClass(ClasspathManager.java:501)
                            ....SNIP....
                             at org.eclipse.osgi.framework.internal.core.BundleContextImpl$2.run(BundleContextImpl.java:999)
                             at java.security.AccessController.doPrivileged(Native Method)
                             at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:993)
                             ... 52 more
                            Caused by: java.lang.ClassNotFoundException: org.jboss.ide.eclipse.archives.core.model.IArchiveBuildListener
                             at org.eclipse.osgi.framework.internal.core.BundleLoader.findClassInternal(BundleLoader.java:434)
                             at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:369)
                             at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:357)
                             at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:83)
                             at java.lang.ClassLoader.loadClass(ClassLoader.java:251)
                             at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:319)
                             ... 71 more
                            
                            ....ETC...REPEAT ABOUT 12 TIMES... THEN WE SEE....
                            
                            
                            !ENTRY org.eclipse.wst.server.core 4 0 2008-04-06 10:27:06.442
                            !MESSAGE Could not create delegate ModuleFactory[org.jboss.ide.eclipse.as.core.PackageModuleFactory]: Plug-in org.jboss.ide.eclipse.as.core was unable to load class org.jboss.ide.eclipse.as.core
                            .modules.PackageModuleFactory.
                            
                            !ENTRY org.eclipse.wst.server.core 4 0 2008-04-06 10:27:06.442
                            !MESSAGE Error calling delegate ModuleFactory[org.jboss.ide.eclipse.as.core.PackageModuleFactory]
                            !STACK 0
                            java.lang.NullPointerException
                             at org.eclipse.wst.server.core.internal.ModuleFactory.getModules(ModuleFactory.java:131)
                             at org.eclipse.wst.server.core.ServerUtil.getModules(ServerUtil.java:97)
                             at org.eclipse.wst.server.core.ServerUtil.getModule(ServerUtil.java:68)
                             at org.eclipse.wst.web.internal.deployables.ComponentDeployable.gatherModuleReference(ComponentDeployable.java:131)
                             at org.eclipse.jst.j2ee.internal.deployables.J2EEFlexProjDeployable.gatherModuleReference(J2EEFlexProjDeployable.java:603)
                            ....SNIP...
                             at org.eclipse.wst.server.ui.internal.view.servers.ServersView$3.run(ServersView.java:134)
                             at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
                            
                            !ENTRY org.eclipse.wst.server.core 4 0 2008-04-06 10:27:06.510
                            !MESSAGE Could not create delegate ModuleFactory[org.jboss.ide.eclipse.as.core.singledeployablefactory]: Plug-in org.jboss.ide.eclipse.as.core was unable to load class org.jboss.ide.eclipse.as.c
                            ore.modules.SingleDeployableFactory.
                            
                            !ENTRY org.eclipse.wst.server.core 4 0 2008-04-06 10:27:06.511
                            !MESSAGE Error calling delegate ModuleFactory[org.jboss.ide.eclipse.as.core.singledeployablefactory]
                            !STACK 0
                            java.lang.NullPointerException
                             at org.eclipse.wst.server.core.internal.ModuleFactory.getModules(ModuleFactory.java:131)
                             at org.eclipse.wst.server.core.ServerUtil.getModules(ServerUtil.java:97)
                             at org.eclipse.wst.server.core.ServerUtil.getModule(ServerUtil.java:68)
                             at org.eclipse.wst.web.internal.deployables.ComponentDeployable.gatherModuleReference(ComponentDeployable.java:131)
                            ....SNIP....
                             at org.eclipse.wst.server.core.internal.Server.getAllModules(Server.java:1021)
                             at org.eclipse.wst.server.ui.internal.view.servers.ServersView$3.run(ServersView.java:134)
                             at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
                            
                            !ENTRY org.eclipse.wst.server.core 4 0 2008-04-06 10:27:06.667
                            !MESSAGE Could not create delegate ModuleFactory[org.jboss.ide.eclipse.as.core.PackageModuleFactory]: Plug-in org.jboss.ide.eclipse.as.core was unable to load class org.jboss.ide.eclipse.as.core
                            .modules.PackageModuleFactory.
                            
                            !ENTRY org.eclipse.wst.server.core 4 0 2008-04-06 10:27:06.667
                            !MESSAGE Error calling delegate ModuleFactory[org.jboss.ide.eclipse.as.core.PackageModuleFactory]
                            !STACK 0
                            java.lang.NullPointerException
                             at org.eclipse.wst.server.core.internal.ModuleFactory.getModules(ModuleFactory.java:131)
                             at org.eclipse.wst.server.core.ServerUtil.getModules(ServerUtil.java:97)
                             at org.eclipse.wst.server.core.ServerUtil.getModule(ServerUtil.java:68)
                             at org.eclipse.wst.web.internal.deployables.ComponentDeployable.gatherModuleReference(ComponentDeployable.java:131)
                            ....SNIP...
                             at org.eclipse.wst.server.core.internal.Server.getAllModules(Server.java:1021)
                             at org.eclipse.wst.server.ui.internal.view.servers.ServersView$3.run(ServersView.java:134)
                             at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
                            
                            !ENTRY org.eclipse.wst.server.core 4 0 2008-04-06 10:27:06.720
                            !MESSAGE Could not create delegate ModuleFactory[org.jboss.ide.eclipse.as.core.singledeployablefactory]: Plug-in org.jboss.ide.eclipse.as.core was unable to load class org.jboss.ide.eclipse.as.c
                            ore.modules.SingleDeployableFactory.
                            
                            !ENTRY org.eclipse.wst.server.core 4 0 2008-04-06 10:27:06.721
                            !MESSAGE Error calling delegate ModuleFactory[org.jboss.ide.eclipse.as.core.singledeployablefactory]
                            !STACK 0
                            java.lang.NullPointerException
                             at org.eclipse.wst.server.core.internal.ModuleFactory.getModules(ModuleFactory.java:131)
                             at org.eclipse.wst.server.core.ServerUtil.getModules(ServerUtil.java:97)
                             at org.eclipse.wst.server.core.ServerUtil.getModule(ServerUtil.java:68)
                             at org.eclipse.wst.web.internal.deployables.ComponentDeployable.gatherModuleReference(ComponentDeployable.java:131)
                             at org.eclipse.jst.j2ee.internal.deployables.J2EEFlexProjDeployable.gatherModuleReference(J2EEFlexProjDeployable.java:603)
                            ....SNIP....
                             at org.eclipse.wst.server.core.internal.Server.getAllModules(Server.java:1021)
                             at org.eclipse.wst.server.ui.internal.view.servers.ServersView$3.run(ServersView.java:134)
                             at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
                            
                            !ENTRY org.eclipse.wst.server.core 4 0 2008-04-06 10:27:06.826
                            !MESSAGE Could not create delegate ModuleFactory[org.jboss.ide.eclipse.as.core.PackageModuleFactory]: Plug-in org.jboss.ide.eclipse.as.core was unable to load class org.jboss.ide.eclipse.as.core
                            .modules.PackageModuleFactory.
                            
                            !ENTRY org.eclipse.wst.server.core 4 0 2008-04-06 10:27:06.827
                            !MESSAGE Error calling delegate ModuleFactory[org.jboss.ide.eclipse.as.core.PackageModuleFactory]
                            !STACK 0
                            java.lang.NullPointerException
                             at org.eclipse.wst.server.core.internal.ModuleFactory.getModules(ModuleFactory.java:131)
                             at org.eclipse.wst.server.core.ServerUtil.getModules(ServerUtil.java:97)
                             at org.eclipse.wst.server.core.ServerUtil.getModule(ServerUtil.java:68)
                             at org.eclipse.wst.web.internal.deployables.ComponentDeployable.gatherModuleReference(ComponentDeployable.java:131)
                            ....SNIP....
                            
                            
                            ...REPEAT ABOUT 4 TIMES... THEN....
                            
                            !ENTRY org.springframework.ide.eclipse.beans.core 4 0 2008-04-06 10:27:27.440
                            !MESSAGE Internal Error
                            !STACK 0
                            java.lang.NoClassDefFoundError: org/jboss/ide/eclipse/as/core/server/IJBossServerRuntime
                             at org.jboss.ide.eclipse.as.classpath.core.runtime.ClientAllRuntimeClasspathProvider.resolveClasspathContainer(ClientAllRuntimeClasspathProvider.java:57)
                             at org.jboss.ide.eclipse.as.classpath.core.runtime.ProjectRuntimeClasspathProvider$RuntimeClasspathContainer.getClasspathEntries(ProjectRuntimeClasspathProvider.java:123)
                             at org.eclipse.jdt.internal.core.JavaModelManager.containerPutIfInitializingWithSameEntries(JavaModelManager.java:547)
                             at org.eclipse.jdt.internal.core.SetContainerOperation.executeOperation(SetContainerOperation.java:49)
                             at org.eclipse.jdt.internal.core.JavaModelOperation.run(JavaModelOperation.java:720)
                             at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:1797)
                             at org.eclipse.jdt.internal.core.JavaModelOperation.runOperation(JavaModelOperation.java:785)
                             at org.eclipse.jdt.core.JavaCore.setClasspathContainer(JavaCore.java:4519)
                            
                            


                            • 11. Re: JBoss Tools AS 1.0.0.GA update for JBoss 5 AS ?
                              Darryl Miles Novice

                              Ah yes the first time I wrong the last reply I explained what I did not install.

                              I have Eclipse 3.3.2 + WTP 2.0.2 + JBoss Tools 2.0.0 GA

                              I installed the nightly: JBossAS-Tools-200803280018-nightly.zip

                              I then manually removed the features and plugins of the 2.0.0.GA release of JBossAS-Tools